%define upstream_name	 HTML-Tree
%define upstream_version 5.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Epoch:      1

Summary:    Build and scan parse-trees of HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/authors/id/S/SB/SBURKE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Parser) >= 3.460.0
BuildRequires: perl(HTML::Tagset) >= 3.20.0
BuildRequires: perl(Module::Build) >= 0.280.800
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(integer)
BuildArch:  noarch

%description
This distribution contains a suite of modules for representing,
creating, and extracting information from HTML syntax trees; there is
also relevent documentation.  These modules used to be part of the
libwww-perl distribution, but are now unbundled in order to facilitate
a separate development track.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/HTML
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:5.70.0-4.mga8
+ Revision: 1504643
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:5.70.0-3.mga7
+ Revision: 1283979
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1:5.70.0-2.mga7
+ Revision: 1164831
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1:5.70.0-1.mga7
+ Revision: 1155609
- update to 5.07

* Sat Jul 22 2017 shlomif <shlomif> 1:5.60.0-1.mga7
+ Revision: 1128624
- update to 5.06

* Sun Jun 19 2016 pterjan <pterjan> 1:5.30.0-12.mga6
+ Revision: 1028402
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1:5.30.0-11.mga6
+ Revision: 934079
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:5.30.0-10.mga5
+ Revision: 747443
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:5.30.0-9.mga5
+ Revision: 684982
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 1:5.30.0-8.mga5
+ Revision: 633938
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 1:5.30.0-7.mga5
+ Revision: 606084
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:5.30.0-6.mga4
+ Revision: 525750
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 1:5.30.0-5.mga4
+ Revision: 434477
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 1:5.30.0-4.mga3
+ Revision: 403821
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:5.30.0-3.mga3
+ Revision: 368194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1:5.30.0-2.mga3
+ Revision: 315010
- perl 5.16.2 shebang rebuild

* Wed Sep 26 2012 jquelin <jquelin> 1:5.30.0-1.mga3
+ Revision: 298003
- update to 5.03

* Fri Aug 24 2012 jquelin <jquelin> 1:5.20.0-2.mga3
+ Revision: 283543
- perl 5.16.1 rebuild

* Thu Jul 05 2012 jquelin <jquelin> 1:5.20.0-1.mga3
+ Revision: 268147
- update to 5.02

* Tue Apr 12 2011 jquelin <jquelin> 1:4.200.0-1.mga1
+ Revision: 83768
- update to 4.2

* Wed Jan 19 2011 jquelin <jquelin> 1:4.100.0-1.mga1
+ Revision: 24312
- fix specs
- imported package perl-HTML-Tree


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1:4.100.0-1mdv2011.0
+ Revision: 596614
- update to 4.1

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1:3.230.0-1mdv2010.1
+ Revision: 420975
- bumping epoch
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 3.2300-4mdv2009.1
+ Revision: 351962
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.2300-3mdv2009.0
+ Revision: 223792
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.2300-2mdv2008.1
+ Revision: 180409
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 3.2300-1mdv2008.0
+ Revision: 20160
- fix version
- 3.23


* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.1901-1mdk
- New version
- fix directory ownership
- rpmbuildupdate aware

* Mon Oct 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.18-2mdk
- Rebuild, misc spec fixes

* Wed Sep 17 2003 Stefan van der Eijk <stefan@eijk.nu> 3.18-1mdk
- 3.18
- revamp .spec file

